/* Generated By:JJTree&JavaCC: Do not edit this line. DPathParserConstants.java */
package fr.inria.alpage.frmgcm.dpp;


/**
 * Token literal values and constants.
 * Generated by org.javacc.parser.OtherFilesGen#start()
 */
public interface DPathParserConstants {

  /** End of File. */
  int EOF = 0;
  /** RegularExpression Id. */
  int DPATH_MACRO_PREFIX = 8;
  /** RegularExpression Id. */
  int DPATH_NAV_AXIS = 9;
  /** RegularExpression Id. */
  int DPATH_FILTER_TYPE = 10;
  /** RegularExpression Id. */
  int DPATH_SET = 11;
  /** RegularExpression Id. */
  int DPATH_COORD = 12;
  /** RegularExpression Id. */
  int DECIMAL_LITERAL = 13;
  /** RegularExpression Id. */
  int IDENTIFIER = 14;
  /** RegularExpression Id. */
  int LETTER = 15;
  /** RegularExpression Id. */
  int DIGIT = 16;
  /** RegularExpression Id. */
  int STRING_LITERAL = 17;

  /** Lexical state. */
  int DEFAULT = 0;

  /** Literal token values. */
  String[] tokenImage = {
    "<EOF>",
    "\" \"",
    "\"\\u00a0\"",
    "\"\\t\"",
    "\"\\n\"",
    "\"\\r\"",
    "<token of kind 6>",
    "<token of kind 7>",
    "\"$\"",
    "<DPATH_NAV_AXIS>",
    "<DPATH_FILTER_TYPE>",
    "<DPATH_SET>",
    "<DPATH_COORD>",
    "<DECIMAL_LITERAL>",
    "<IDENTIFIER>",
    "<LETTER>",
    "<DIGIT>",
    "<STRING_LITERAL>",
    "\";\"",
    "\"(\"",
    "\")\"",
    "\"[\"",
    "\"@\"",
    "\"=\"",
    "\"<\"",
    "\">\"",
    "\"]\"",
  };

}
